GET /data/projects/{project_id}/playlists

Retrieve all playlists related to given project. Result is paginated and can be sorted.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

Query parameters

  • page integer

    Page number for pagination

  • sort_by string

    Field to sort by

  • task_type_id string(uuid)

    Task type unique identifier to filter by

Responses

  • 200 application/json

    All playlists related to given project

    Hide response attributes Show response attributes object
    • id string(uuid)

      Playlist unique identifier

    • name string

      Playlist name

    • project_id string(uuid)

      Project unique identifier

GET /data/projects/{project_id}/playlists
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/playlists?page=1&sort_by=updated_at&task_type_id=b35b7fb5-df86-5776-b181-68564193d36" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/playlists"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "page": 1,
    "sort_by": "updated_at",
    "task_type_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/playlists' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "Review Playlist",
    "project_id": "b35b7fb5-df86-5776-b181-68564193d36"
  }
]